<html>
<head>
<title>TestNG:  CreateAccount</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>CreateAccount</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>7/0/0</td>
</tr><tr>
<td>Started on:</td><td>Wed Jan 04 15:52:53 IST 2017</td>
</tr>
<tr><td>Total time:</td><td>461 seconds (461270 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-passed'>
<tr><td colspan='4' align='center'><b>PASSED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='com.stta.GCM.CreateAccount.CreateAccountTest()'><b>CreateAccountTest</b><br>Test class: com.stta.GCM.CreateAccount<br>Parameters: TC_NJ-62_005, , , , , , , , , , , , , , , , , , , , , <br/>
<a href="#Output-890160158" onClick='toggleBox("Output-890160158", this, "Show output", "Hide output");'>Show output</a>

<a href="#Output-890160158" onClick="toggleAllBoxes();">Show all outputs</a>
<div class='log' id="Output-890160158">
Mandetory check Passed for contact typeMissing required field: Contact Type<br/>
Mandetory check Passed for Contact Person NameMissing required field: Please enter Contact Person Name (Latin Character) or Contact Person Name (Local Character)<br/>
Mandetory check Passed for Company NameMissing required field: Company Name<br/>
</div>
</td>
<td></td>
<td>15</td>
<td>com.stta.GCM.CreateAccount@21213b92</td></tr>
<tr>
<td title='com.stta.GCM.CreateAccount.CreateAccountTest()'><b>CreateAccountTest</b><br>Test class: com.stta.GCM.CreateAccount<br>Parameters: TC_NJ-62_006, , , , , , , , , , , , , , Japan, , , , , , , <br/>
<a href="#Output-883521348" onClick='toggleBox("Output-883521348", this, "Show output", "Hide output");'>Show output</a>

<a href="#Output-883521348" onClick="toggleAllBoxes();">Show all outputs</a>
<div class='log' id="Output-883521348">
Specific fields check for Japan country passed<br/>
</div>
</td>
<td></td>
<td>40</td>
<td>com.stta.GCM.CreateAccount@21213b92</td></tr>
<tr>
<td title='com.stta.GCM.CreateAccount.CreateAccountTest()'><b>CreateAccountTest</b><br>Test class: com.stta.GCM.CreateAccount<br>Parameters: TC_NJ-62_007a, , , , , , , , , , , , , , United States, , , , , , , <br/>
<a href="#Output-500885941" onClick='toggleBox("Output-500885941", this, "Show output", "Hide output");'>Show output</a>

<a href="#Output-500885941" onClick="toggleAllBoxes();">Show all outputs</a>
<div class='log' id="Output-500885941">
Specific fields check for US country passed<br/>
</div>
</td>
<td></td>
<td>38</td>
<td>com.stta.GCM.CreateAccount@21213b92</td></tr>
<tr>
<td title='com.stta.GCM.CreateAccount.CreateAccountTest()'><b>CreateAccountTest</b><br>Test class: com.stta.GCM.CreateAccount<br>Parameters: TC_NJ-62_007b, , , , , , , , , , , , , , Canada, , , , , , , <br/>
<a href="#Output-1190566357" onClick='toggleBox("Output-1190566357", this, "Show output", "Hide output");'>Show output</a>

<a href="#Output-1190566357" onClick="toggleAllBoxes();">Show all outputs</a>
<div class='log' id="Output-1190566357">
Specific fields check for Canada country passed<br/>
</div>
</td>
<td></td>
<td>37</td>
<td>com.stta.GCM.CreateAccount@21213b92</td></tr>
<tr>
<td title='com.stta.GCM.CreateAccount.CreateAccountTest()'><b>CreateAccountTest</b><br>Test class: com.stta.GCM.CreateAccount<br>Parameters: TC_NJ-51_003a, Contract, C2010040802, Japan Contact Person  Name Latin 0123456789012345678901234567890123456789012345678901234567890123456789, Contact Person  Name Local  0123456789012345678901234567890123456789012345678901234567890123456789, Division Latin 01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, Division Local  01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, Tittile  Latin 01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, Tittle  Local  01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, 123456789012345000000, 123456, 123456789012345000000, 123456789012345000000, dummy@gmail.com, Japan, 123456789, , , Japan Address 1, Japan Address 2, , <br/>
<a href="#Output-1556162268" onClick='toggleBox("Output-1556162268", this, "Show output", "Hide output");'>Show output</a>

<a href="#Output-1556162268" onClick="toggleAllBoxes();">Show all outputs</a>
<div class='log' id="Output-1556162268">
*************59<br/>
Contact person Name latin is less  than 60 Characters59<br/>
Contact person Name local is less  than 60 Characters58<br/>
Postal number  is less than 9 Characters9<br/>
Division Latin is less than 100 Characters10<br/>
Division Local is less  than 100 Characters99<br/>
Tittle Latin is less  than 100 Characters99<br/>
Tittle local is less  than 100 Characters98<br/>
Telephone Number is less  than 20 Characters20<br/>
Extension Number is less  than 5 Characters5<br/>
Fax Number is less  than 20 Characters20<br/>
Mobile Number is less  than 20 Characters20<br/>
E-mail address is less  than 140 Characters15<br/>
</div>
</td>
<td></td>
<td>97</td>
<td>com.stta.GCM.CreateAccount@21213b92</td></tr>
<tr>
<td title='com.stta.GCM.CreateAccount.CreateAccountTest()'><b>CreateAccountTest</b><br>Test class: com.stta.GCM.CreateAccount<br>Parameters: TC_NJ-51_003b, Contract, C0321124868, United State Contact Person  Name Latin 0123456789012345678901234567890123456789012345678901234567890123456789, Contact Person  Name Local  0123456789012345678901234567890123456789012345678901234567890123456789, Division Latin 01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, Division Local  01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, Tittile  Latin 01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, Tittle  Local  01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, 123456789012345000000, 123456, 123456789012345000000, 123456789012345000000, dummy@gmail.com, United States, 123456789, US address , US State , , , , <br/>
<a href="#Output-22446425" onClick='toggleBox("Output-22446425", this, "Show output", "Hide output");'>Show output</a>

<a href="#Output-22446425" onClick="toggleAllBoxes();">Show all outputs</a>
<div class='log' id="Output-22446425">
*************59<br/>
Contact person Name latin is less  than 60 Characters59<br/>
Contact person Name local is less  than 60 Characters58<br/>
Postal number  is less than 9 Characters9<br/>
Division Latin is less than 100 Characters10<br/>
Division Local is less  than 100 Characters99<br/>
Tittle Latin is less  than 100 Characters99<br/>
Tittle local is less  than 100 Characters98<br/>
Telephone Number is less  than 20 Characters20<br/>
Extension Number is less  than 5 Characters5<br/>
Fax Number is less  than 20 Characters20<br/>
Mobile Number is less  than 20 Characters20<br/>
E-mail address is less  than 140 Characters15<br/>
United state city is less  than 100 Characters10<br/>
</div>
</td>
<td></td>
<td>93</td>
<td>com.stta.GCM.CreateAccount@21213b92</td></tr>
<tr>
<td title='com.stta.GCM.CreateAccount.CreateAccountTest()'><b>CreateAccountTest</b><br>Test class: com.stta.GCM.CreateAccount<br>Parameters: TC_NJ-51_003c, Contract, C0321124868, CanadIndia  Contact Person  Name Latin 0123456789012345678901234567890123456789012345678901234567890123456789, Contact Person  Name Local  0123456789012345678901234567890123456789012345678901234567890123456789, Division Latin 01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, Division Local  01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, Tittile  Latin 01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, Tittle  Local  01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, 123456789012345000000, 123456, 123456789012345000000, 123456789012345000000, dummy@gmail.com, Canada, 123456789, Canda  address , Canada State , , , , <br/>
<a href="#Output-1395262169" onClick='toggleBox("Output-1395262169", this, "Show output", "Hide output");'>Show output</a>

<a href="#Output-1395262169" onClick="toggleAllBoxes();">Show all outputs</a>
<div class='log' id="Output-1395262169">
*************58<br/>
Contact person Name latin is less  than 60 Characters58<br/>
Contact person Name local is less  than 60 Characters58<br/>
Postal number  is less than 9 Characters9<br/>
Division Latin is less than 100 Characters10<br/>
Division Local is less  than 100 Characters99<br/>
Tittle Latin is less  than 100 Characters99<br/>
Tittle local is less  than 100 Characters98<br/>
Telephone Number is less  than 20 Characters20<br/>
Extension Number is less  than 5 Characters5<br/>
Fax Number is less  than 20 Characters20<br/>
Mobile Number is less  than 20 Characters20<br/>
E-mail address is less  than 140 Characters15<br/>
Canada city is less  than 100 Characters13<br/>
</div>
</td>
<td></td>
<td>93</td>
<td>com.stta.GCM.CreateAccount@21213b92</td></tr>
</table><p>
</body>
</html>